export var __esModule: boolean;
/**
 * Decodes DXT1 data to a Uint16Array typed array with 5-6-5 RGB bits.
 *
 * DXT1 is also known as BC1.
 */
export function decodeDxt1(src: any, width: any, height: any): Uint8Array;
/**
 * Decodes DXT3 data to a Uint8Array typed array with 8-8-8-8 RGBA bits.
 *
 * DXT3 is also known as BC2.
 */
export function decodeDxt3(src: any, width: any, height: any): Uint8Array;
/**
 * Decodes DXT5 data to a Uint8Array typed array with 8-8-8-8 RGBA bits.
 *
 * DXT5 is also known as BC3.
 */
export function decodeDxt5(src: any, width: any, height: any): Uint8Array;
/**
 * Decodes RGTC data to a Uint8Array typed array with 8-8 RG bits.
 *
 * RGTC is also known as BC5, ATI2, and 3Dc.
 */
export function decodeRgtc(src: any, width: any, height: any): Uint8Array;
