export var __esModule: boolean;
export var VEC3_UNIT_X: gl_matrix_1.vec3;
export var VEC3_UNIT_Y: gl_matrix_1.vec3;
export var VEC3_UNIT_Z: gl_matrix_1.vec3;
export var VEC3_ZERO: gl_matrix_1.vec3;
export var VEC3_ONE: gl_matrix_1.vec3;
export var QUAT_ZERO: gl_matrix_1.vec4;
export var QUAT_DEFAULT: gl_matrix_1.quat;
import gl_matrix_1 = require("gl-matrix");
export function unproject(out: any, v: any, inverseMatrix: any, viewport: any): any;
/**
 * Get the distance of a point from a plane.
 *
 *     dot(plane, vec4(point, 1))
 */
export function distanceToPlane(plane: any, point: any): any;
/**
 * Get the distance of a point from a plane.
 *
 *     dot(plane, vec4(x, y, 0, 1))
 */
export function distanceToPlane2(plane: any, x: any, y: any): any;
/**
 * Get the distance of a point from a plane.
 *
 *     dot(plane, vec4(x, y, z, 1))
 */
export function distanceToPlane3(plane: any, x: any, y: any, z: any): any;
/**
 * Test if a sphere with the given center and radius intersects the given planes.
 * If it doesn't, the index of the first plane that proved this is returned.
 * Otherwise returns -1.
 *
 * If first is given, the test will begin from the plane at that index.
 */
export function testSphere(planes: any, x: any, y: any, z: any, r: any, first: any): number;
/**
 * Test if a cell with the given coordinates intersects the given planes.
 * If it doesn't, the index of the first plane that proved this is returned.
 * Otherwise returns -1.
 *
 * If first is given, the test will begin from the plane at that index.
 */
export function testCell(planes: any, left: any, right: any, bottom: any, top: any, first: any): number;
export function planeLength(plane: any): number;
/**
 * Normalize a plane.
 *
 * Note that this is not the same as normalizing a vec4.
 */
export function normalizePlane(out: any, plane: any): void;
/**
 * Unpacks a matrix's planes.
 */
export function unpackPlanes(planes: any, m: any): void;
/**
 * A look-at matrix, but for quaternions.
 *
 * See https://stackoverflow.com/a/52551983/2503048
 */
export function quatLookAt(out: any, from: any, to: any, worldUp: any): any;
