export var __esModule: boolean;
/**
 * The base class to all animation references.
 */
export class AnimationReference {
    interpolationType: number;
    animFlags: number;
    animId: number;
    initValue: any;
    nullValue: any;
    load(stream: any): void;
}
/**
 * A pixel animation reference.
 */
export class PixelAnimationReference extends AnimationReference {
    readInitNullValues(stream: any): void;
}
/**
 * A uint16 animation reference.
 */
export class Uint16AnimationReference extends AnimationReference {
    readInitNullValues(stream: any): void;
}
/**
 * A uint32 animation reference.
 */
export class Uint32AnimationReference extends AnimationReference {
    readInitNullValues(stream: any): void;
}
/**
 * A float32 animation reference.
 */
export class Float32AnimationReference extends AnimationReference {
    readInitNullValues(stream: any): void;
}
/**
 * A vec2 animation reference.
 */
export class Vector2AnimationReference extends AnimationReference {
    readInitNullValues(stream: any): void;
}
/**
 * A vec3 animation reference.
 */
export class Vector3AnimationReference extends AnimationReference {
    readInitNullValues(stream: any): void;
}
/**
 * A quat animation reference.
 */
export class Vector4AnimationReference extends AnimationReference {
    readInitNullValues(stream: any): void;
}
