export var __esModule: boolean;
export default AnimatedObject;
/**
 * The parent class for all objects that have animated data in them.
 */
declare class AnimatedObject {
    animations: any[];
    readAnimations(stream: any, size: any): void;
    writeAnimations(stream: any): void;
    /**
     * A wrapper around readBlock() which merges static tokens.
     * E.g.: static Color
     * This makes the condition blocks in the parent objects linear and simple.
     */
    readAnimatedBlock(stream: any): Generator<any, void, unknown>;
    readAnimation(stream: any, name: any): void;
    writeAnimation(stream: any, name: any): boolean;
    /**
     * AnimatedObject itself doesn't care about versions, however objects that inherit it do.
     */
    getByteLength(version: any): number;
}
