export var __esModule: boolean;
/**
 * An animation.
 */
export class Animation {
    name: string;
    interpolationType: number;
    globalSequenceId: number;
    frames: any[];
    values: any[];
    inTans: any[];
    outTans: any[];
    readMdx(stream: any, name: any): void;
    writeMdx(stream: any): void;
    readMdl(stream: any, name: any): void;
    writeMdl(stream: any, name: any): void;
    getByteLength(): number;
}
/**
 * A uint animation.
 */
export class UintAnimation extends Animation {
    readMdxValue(stream: any): any;
    writeMdxValue(stream: any, value: any): void;
    readMdlValue(stream: any): Uint32Array;
    writeMdlValue(stream: any, name: any, value: any): void;
}
/**
 * A float animation
 */
export class FloatAnimation extends Animation {
    readMdxValue(stream: any): any;
    writeMdxValue(stream: any, value: any): void;
    readMdlValue(stream: any): Float32Array;
    writeMdlValue(stream: any, name: any, value: any): void;
}
/**
 * A vector 3 animation.
 */
export class Vector3Animation extends Animation {
    readMdxValue(stream: any): any;
    writeMdxValue(stream: any, value: any): void;
    readMdlValue(stream: any): any;
    writeMdlValue(stream: any, name: any, value: any): void;
}
/**
 * A vector 4 animation.
 */
export class Vector4Animation extends Animation {
    readMdxValue(stream: any): any;
    writeMdxValue(stream: any, value: any): void;
    readMdlValue(stream: any): any;
    writeMdlValue(stream: any, name: any, value: any): void;
}
