export var __esModule: boolean;
export default GenericObject;
/**
 * A generic object.
 *
 * The parent class for all objects that exist in the world, and may contain spatial animations.
 * This includes bones, particle emitters, and many other things.
 */
declare class GenericObject extends animatedobject_1.default {
    constructor(flags?: number);
    name: string;
    objectId: number;
    parentId: number;
    flags: number;
    readMdx(stream: any): void;
    writeMdx(stream: any): void;
    writeNonGenericAnimationChunks(stream: any): void;
    readGenericBlock(stream: any): Generator<string, void, unknown>;
    writeGenericHeader(stream: any): void;
    writeGenericAnimations(stream: any): void;
    /**
     * Allows to easily iterate either the GenericObject animations or the parent object animations.
     */
    eachAnimation(wantGeneric: any): Generator<import("./animations").Animation, void, unknown>;
    /**
     * Gets the byte length of the GenericObject part of whatever this object this.
     *
     * This is needed because only the KGTR, KGRT, and KGSC animations actually belong to it.
     */
    getGenericByteLength(): number;
}
import animatedobject_1 = require("./animatedobject");
