export var __esModule: boolean;
export default Geoset;
/**
 * A geoset.
 */
declare class Geoset {
    vertices: Float32Array;
    normals: Float32Array;
    faceTypeGroups: Uint32Array;
    faceGroups: Uint32Array;
    faces: Uint16Array;
    vertexGroups: Uint8Array;
    matrixGroups: Uint32Array;
    matrixIndices: Uint32Array;
    materialId: number;
    selectionGroup: number;
    selectionFlags: number;
    /**
     * @since 900
     */
    lod: number;
    /**
     * @since 900
     */
    lodName: string;
    extent: extent_1.default;
    sequenceExtents: any[];
    /**
     * @since 900
     */
    tangents: Float32Array;
    /**
     * An array of bone indices and weights.
     * Every 8 consecutive elements describe the following:
     *    [B0, B1, B2, B3, W0, W1, W2, W3]
     * Where:
     *     Bn is a bone index.
     *     Wn is a weight, which can be normalized with Wn/255.
     *
     * @since 900
     */
    skin: Uint8Array;
    uvSets: any[];
    readMdx(stream: any, version: any): void;
    writeMdx(stream: any, version: any): void;
    readMdl(stream: any): void;
    writeMdl(stream: any, version: any): void;
    getByteLength(version: any): number;
}
import extent_1 = require("./extent");
