export var __esModule: boolean;
export default Unit;
/**
 * A unit.
 */
declare class Unit {
    id: string;
    variation: number;
    location: Float32Array;
    angle: number;
    scale: Float32Array;
    /**
     * @since Game version 1.32
     */
    skin: string;
    flags: number;
    player: number;
    unknown: number;
    hitpoints: number;
    mana: number;
    /**
     * @since 8
     */
    droppedItemTable: number;
    droppedItemSets: any[];
    goldAmount: number;
    targetAcquisition: number;
    heroLevel: number;
    /**
     * @since 8
     */
    heroStrength: number;
    /**
     * @since 8
     */
    heroAgility: number;
    /**
     * @since 8
     */
    heroIntelligence: number;
    itemsInInventory: any[];
    modifiedAbilities: any[];
    randomFlag: number;
    level: Uint8Array;
    itemClass: number;
    unitGroup: number;
    positionInGroup: number;
    randomUnitTables: any[];
    customTeamColor: number;
    waygate: number;
    creationNumber: number;
    load(stream: any, version: any, subversion: any, buildVersion: any): void;
    save(stream: any, version: any, subversion: any, buildVersion: any): void;
    getByteLength(version: any, subversion: any, buildVersion: any): number;
}
