export var __esModule: boolean;
/**
 * Trigger data needed to load a WTG file.
 */
export class TriggerData {
    types: {};
    functions: {}[];
    presets: {};
    externalTypes: {};
    externalFunctions: {}[];
    externalPresets: {};
    addTriggerData(buffer: any, isExternal: any): void;
    addTriggerTypes(types: any, section: any): void;
    addTriggerDataFunctions(functions: any, section: any, skipped: any): void;
    addTriggerDataPresets(presets: any, section: any): void;
    addJassFunctions(jass: any): void;
    /**
     * Given a type, return its base type.
     *
     * Returns the given type if its not a child type.
     */
    getBaseType(type: any): any;
    isBaseFunction(type: any, name: any): boolean;
    /**
     * Gets the signature of the given function.
     */
    getFunction(type: any, name: any): any;
    /**
     * Get the type of a function given its name.
     * Returns -1 if the function isn't recognized.
     */
    getFunctionType(name: any): number;
    /**
     * Gets a preset value.
     */
    getPreset(name: any): any;
    /**
     * Is the given preset a custom or standard one?
     */
    isCustomPreset(name: any): boolean;
}
