export var __esModule: boolean;
export default Context;
/**
 * A Jass2 context.
 */
declare class Context extends events_1 {
    map: any;
    handle: number;
    freeHandles: any[];
    handles: any[];
    name: string;
    description: string;
    players: any[];
    actualPlayers: number;
    startLocations: any[];
    constantHandles: {
        playerColors: import("./types").JassPlayerColor[];
        races: import("./types").JassRace[];
        playerGameResults: import("./types").JassPlayerGameResult[];
        allianceTypes: import("./types").JassAllianceType[];
        versions: import("./types").JassVersion[];
        attackTypes: import("./types").JassAttackType[];
        damageTypes: import("./types").JassDamageType[];
        weaponTypes: import("./types").JassWeaponType[];
        pathingTypes: import("./types").JassPathingType[];
        mouseButtonTypes: import("./types/mousebuttontype").default[];
        animTypes: import("./types/animtype").default[];
        subAnimTypes: import("./types/subanimtype").default[];
        racePrefs: import("./types").JassRacePreference[];
        mapControls: import("./types").JassMapControl[];
        gameTypes: import("./types").JassGameType[];
        mapFlags: import("./types").JassMapFlag[];
        placements: import("./types").JassPlacement[];
        startLocPrios: import("./types").JassStartLocPrio[];
        mapDensities: import("./types").JassMapDensity[];
        gameDifficulties: import("./types").JassGameDifficulty[];
        gameSpeeds: import("./types").JassGameSpeed[];
        playerSlotStates: import("./types").JassPlayerSlotState[];
        volumeGroups: import("./types").JassVolumeGroup[];
        gameStates: (import("./types").JassIGameState | import("./types").JassFGameState)[];
        playerStates: import("./types").JassPlayerState[];
        unitStates: import("./types").JassUnitState[];
        aiDifficulties: import("./types").JassAiDifficulty[];
        playerScores: import("./types").JassPlayerScore[];
        events: (import("./types").JassGameEvent | import("./types").JassPlayerEvent | import("./types").JassPlayerUnitEvent | import("./types").JassUnitEvent | import("./types").JassWidgetEvent | import("./types").JassDialogEvent)[];
        limitOps: import("./types").JassLimitOp[];
        unitTypes: import("./types").JassUnitType[];
        itemTypes: import("./types").JassItemType[];
        cameraFields: import("./types").JassCameraField[];
        blendModes: import("./types").JassBlendMode[];
        rarityControls: import("./types").JassRarityControl[];
        texMapFlags: import("./types").JassTexMapFlags[];
        fogStates: import("./types").JassFogState[];
        effectTypes: import("./types").JassEffectType[];
        soundTypes: import("./types").JassSoundType[];
    };
    timers: Set<any>;
    triggers: Set<any>;
    threads: Set<any>;
    currentThread: any;
    enumUnit: any;
    filterUnit: any;
    enumPlayer: any;
    t: number;
    L: any;
    start(): void;
    step(): void;
    addHandle(handle: any): any;
    freeHandle(handle: any): void;
    call(name: any): void;
    run(code: any, isJass: any): void;
    open(map: any): void;
}
import events_1 = require("events");
