export var __esModule: boolean;
/**
 * Creates a rectangle geometry object.
 */
export function createRectangle(w: any, d: any): {
    vertices: Float32Array;
    uvs: Float32Array;
    faces: Uint16Array;
    edges: Uint16Array;
    boundingRadius: number;
};
/**
 * Creates a unit rectangle geometry object.
 */
export function createUnitRectangle(): {
    vertices: Float32Array;
    uvs: Float32Array;
    faces: Uint16Array;
    edges: Uint16Array;
    boundingRadius: number;
};
/**
 * Creates a cube geometry object.
 */
export function createCube(w: any, d: any, h: any): {
    vertices: Float32Array;
    uvs: Float32Array;
    faces: Uint16Array;
    edges: Uint16Array;
    boundingRadius: number;
};
/**
 * Creates a unit cube geometry object.
 */
export function createUnitCube(): {
    vertices: Float32Array;
    uvs: Float32Array;
    faces: Uint16Array;
    edges: Uint16Array;
    boundingRadius: number;
};
/**
 * Creates a sphere geometry object.
 */
export function createSphere(radius: any, stacks: any, slices: any): {
    vertices: Float32Array;
    uvs: Float32Array;
    faces: Uint16Array;
    edges: Uint16Array;
    boundingRadius: any;
};
/**
 * Creates a unit sphere geometry object.
 */
export function createUnitSphere(stacks: any, slices: any): {
    vertices: Float32Array;
    uvs: Float32Array;
    faces: Uint16Array;
    edges: Uint16Array;
    boundingRadius: any;
};
/**
 * Creates a cylinder geometry object.
 */
export function createCylinder(radius: any, height: any, slices: any): {
    vertices: Float32Array;
    uvs: Float32Array;
    faces: Uint16Array;
    edges: Uint16Array;
    boundingRadius: number;
};
/**
 * Creates a unit cylinder geometry object.
 */
export function createUnitCylinder(slices: any): {
    vertices: Float32Array;
    uvs: Float32Array;
    faces: Uint16Array;
    edges: Uint16Array;
    boundingRadius: number;
};
/**
 * Create a furstum geometry.
 */
export function createFrustum(fieldOfView: any, aspectRatio: any, nearClipPlane: any, farClipPlane: any): {
    vertices: Float32Array;
    uvs: Float32Array;
    faces: Uint16Array;
    edges: Uint16Array;
    boundingRadius: number;
};
