export var __esModule: boolean;
export default SanityTestData;
declare class SanityTestData {
    constructor(model: any);
    objects: any[];
    map: Map<any, any>;
    foundStand: boolean;
    foundDeath: boolean;
    boneUsageMap: Map<any, any>;
    model: any;
    current: {
        type: string;
        name: string;
        errors: number;
        severe: number;
        warnings: number;
        unused: number;
        nodes: never[];
    };
    stack: {
        type: string;
        name: string;
        errors: number;
        severe: number;
        warnings: number;
        unused: number;
        nodes: never[];
    }[];
    /**
     * Adds nodes for all of the given objects.
     * Also handles the flat array of generic objects.
     */
    addObjects(objects: any): void;
    /**
     * Pushes to the stack the node the given object maps to.
     * If this node does not exist, a new one will be created, which is used by internal nodes like material layers.
     */
    push(object: any, index: any): void;
    /**
     * Pops the current node from the stack.
     */
    pop(): void;
    /**
     * Adds a reference to the node the given object maps to.
     */
    addReference(object: any): void;
    /**
     * Add a reference to the current node.
     */
    addImplicitReference(): void;
    addError(message: any): void;
    addSevere(message: any): void;
    addWarning(message: any): void;
    addUnused(message: any): void;
    assertError(condition: any, message: any): void;
    assertSevere(condition: any, message: any): void;
    assertWarning(condition: any, message: any): void;
    assertUnused(condition: any, message: any): void;
}
