export var __esModule: boolean;
/**
 * Creates a new Custom Script or comment ECA with the given data.
 */
export function createCustomScriptOrCommentECA(data: any, isComment: any): eca_1.default;
/**
 * Creates a new Custom Script ECA with the given script.
 */
export function createCustomScriptECA(script: any): eca_1.default;
export function convertSingleToMultiple(eca: any): boolean;
/**
 * Given the name of the parent of some child ECA, and the child's group, determine if it's a condition.
 */
export function isConditionECA(name: any, group: any): boolean;
/**
 * CustomScriptCode ECAs have a maximum length for their (typically) string parameter.
 * If the script length exceeds the maximum length, WE will fail to load the map properly.
 * Either it crashes, or it loads the map and GUI up until the invalid ECA, after which everything is an error.
 * This function is used to split such ECAs.
 * Splitting is possible, because the Jass parser seems to not consider multiline comments as token delimiters.
 * For example, the following lines:
 *
 *   call BJDebug/*
 *   /*Msg("hi")
 *
 * When compiled result in the correct call:
 *
 *   call BJDebugMsg("hi")
 */
export function ensureCustomScriptCodeSafety(ecas: any): any[];
/**
 * Given a name, converts all of the non-ASCII characters and space characters to underlines.
 */
export function ensureNameSafety(name: any): any;
import eca_1 = require("../../../parsers/w3x/wtg/eca");
