export var __esModule: boolean;
export default WebGL;
/**
 * A small WebGL utility class.
 * Makes it easier to generate shaders, textures, etc.
 */
declare class WebGL {
    constructor(canvas: any, options?: {
        alpha: boolean;
    });
    currentShader: any;
    extensions: {};
    gl: any;
    emptyTexture: any;
    /**
     * Ensures that an extension is available.
     *
     * If it is, it will be added to `extensions`.
     */
    ensureExtension(name: any): boolean;
    createShader(vertexSource: any, fragmentSource: any): any;
    /**
     * Enables all vertex attribs between [start, end], including start and discluding end.
     */
    enableVertexAttribs(start: any, end: any): void;
    /**
     * Disables all vertex attribs between [start, end], including start and discluding end.
     */
    disableVertexAttribs(start: any, end: any): void;
    /**
     * Use a shader program.
     */
    useShader(shader: any): void;
    /**
     * Bind a texture.
     *
     * If the given texture is invalid, a 2x2 black texture will be bound instead.
     */
    bindTexture(texture: any, unit: any): void;
    bindTextureAndWrap(texture: any, unit: any, wrapS: any, wrapT: any): void;
    /**
     * Set the texture wrap and filter values.
     */
    setTextureMode(wrapS: any, wrapT: any, magFilter: any, minFilter: any): void;
    /**
     * A shortcut for `new ClientBuffer(gl, size)`.
     */
    createClientBuffer(size?: number): clientbuffer_1.default;
    /**
     * A shortcut for `new DataTexture(gl, channels, width, height)`.
     */
    createDataTexture(channels?: number, width?: number, height?: number): datatexture_1.default;
    /**
     * A shortcut for `new ClientDataTexture(gl, width, height)`.
     */
    createClientDataTexture(width?: number, height?: number): clientdatatexture_1.default;
}
import clientbuffer_1 = require("./clientbuffer");
import datatexture_1 = require("./datatexture");
import clientdatatexture_1 = require("./clientdatatexture");
