export var __esModule: boolean;
export default M3Model;
/**
 * An M3 model.
 */
declare class M3Model extends model_2.default {
    constructor(bufferOrParser: any, resourceData: any);
    name: string | Uint8Array | Int16Array | Uint16Array | Int32Array | Uint32Array | Float32Array | import("../../../parsers/m3/md34").default[] | import("../../../parsers/m3/modelheader").default[] | import("../../../parsers/m3/sequence").default[] | import("../../../parsers/m3/stg").default[] | import("../../../parsers/m3/sts").default[] | import("../../../parsers/m3/bone").default[] | import("../../../parsers/m3/division").default[] | import("../../../parsers/m3/region").default[] | import("../../../parsers/m3/batch").default[] | import("../../../parsers/m3/materialreference").default[] | import("../../../parsers/m3/standardmaterial").default[] | import("../../../parsers/m3/layer").default[] | import("../../../parsers/m3/event").default[] | import("../../../parsers/m3/boundingsphere").default[] | import("../../../parsers/m3/attachmentpoint").default[] | import("../../../parsers/m3/camera").default[] | import("../../../parsers/m3/sd").default[] | import("../../../parsers/m3/unsupportedentry").default[] | Float32Array[] | undefined;
    batches: batch_1.default[];
    materials: never[][];
    materialMaps: string | Uint8Array | Int16Array | Uint16Array | Int32Array | Uint32Array | Float32Array | import("../../../parsers/m3/md34").default[] | import("../../../parsers/m3/modelheader").default[] | import("../../../parsers/m3/sequence").default[] | import("../../../parsers/m3/stg").default[] | import("../../../parsers/m3/sts").default[] | import("../../../parsers/m3/bone").default[] | import("../../../parsers/m3/division").default[] | import("../../../parsers/m3/region").default[] | import("../../../parsers/m3/batch").default[] | import("../../../parsers/m3/materialreference").default[] | import("../../../parsers/m3/standardmaterial").default[] | import("../../../parsers/m3/layer").default[] | import("../../../parsers/m3/event").default[] | import("../../../parsers/m3/boundingsphere").default[] | import("../../../parsers/m3/attachmentpoint").default[] | import("../../../parsers/m3/camera").default[] | import("../../../parsers/m3/sd").default[] | import("../../../parsers/m3/unsupportedentry").default[] | Float32Array[] | undefined;
    bones: bone_1.default[];
    sequences: sequence_1.default[];
    sts: sts_1.default[];
    stc: stc_1.default[];
    stg: stg_1.default[];
    attachments: attachment_1.default[];
    cameras: camera_1.default[];
    regions: any[];
    initialReference: string | Uint8Array | Int16Array | Uint16Array | Int32Array | Uint32Array | Float32Array | import("../../../parsers/m3/md34").default[] | import("../../../parsers/m3/modelheader").default[] | import("../../../parsers/m3/sequence").default[] | import("../../../parsers/m3/stg").default[] | import("../../../parsers/m3/sts").default[] | import("../../../parsers/m3/bone").default[] | import("../../../parsers/m3/division").default[] | import("../../../parsers/m3/region").default[] | import("../../../parsers/m3/batch").default[] | import("../../../parsers/m3/materialreference").default[] | import("../../../parsers/m3/standardmaterial").default[] | import("../../../parsers/m3/layer").default[] | import("../../../parsers/m3/event").default[] | import("../../../parsers/m3/boundingsphere").default[] | import("../../../parsers/m3/attachmentpoint").default[] | import("../../../parsers/m3/camera").default[] | import("../../../parsers/m3/sd").default[] | import("../../../parsers/m3/unsupportedentry").default[] | Float32Array[] | undefined;
    elementBuffer: WebGLBuffer | null;
    arrayBuffer: WebGLBuffer | null;
    vertexSize: number;
    uvSetCount: number;
    boneLookup: string | Uint8Array | Int16Array | Uint16Array | Int32Array | Uint32Array | Float32Array | import("../../../parsers/m3/md34").default[] | import("../../../parsers/m3/modelheader").default[] | import("../../../parsers/m3/sequence").default[] | import("../../../parsers/m3/stg").default[] | import("../../../parsers/m3/sts").default[] | import("../../../parsers/m3/bone").default[] | import("../../../parsers/m3/division").default[] | import("../../../parsers/m3/region").default[] | import("../../../parsers/m3/batch").default[] | import("../../../parsers/m3/materialreference").default[] | import("../../../parsers/m3/standardmaterial").default[] | import("../../../parsers/m3/layer").default[] | import("../../../parsers/m3/event").default[] | import("../../../parsers/m3/boundingsphere").default[] | import("../../../parsers/m3/attachmentpoint").default[] | import("../../../parsers/m3/camera").default[] | import("../../../parsers/m3/sd").default[] | import("../../../parsers/m3/unsupportedentry").default[] | Float32Array[] | undefined;
    setupGeometry(parser: any, div: any): void;
    mapMaterial(index: any): never;
    addGlobalAnims(): void;
}
import model_2 = require("../../model");
import batch_1 = require("./batch");
import bone_1 = require("./bone");
import sequence_1 = require("./sequence");
import sts_1 = require("./sts");
import stc_1 = require("./stc");
import stg_1 = require("./stg");
import attachment_1 = require("./attachment");
import camera_1 = require("./camera");
