export var __esModule: boolean;
export default MdxModelInstance;
/**
 * An MDX model instance.
 */
declare class MdxModelInstance extends modelinstance_1.default {
    constructor(model: any);
    attachments: any;
    particleEmitters: any;
    particleEmitters2: any;
    ribbonEmitters: any;
    eventObjectEmitters: any;
    nodes: skeletalnode_1.SkeletalNode[];
    sortedNodes: skeletalnode_1.SkeletalNode[];
    frame: number;
    counter: number;
    sequence: number;
    sequenceLoopMode: number;
    sequenceEnded: boolean;
    teamColor: number;
    vertexColor: Float32Array;
    allowParticleSpawn: boolean;
    forced: boolean;
    geosetColors: Float32Array[];
    layerAlphas: number[];
    layerTextures: number[];
    uvAnims: Float32Array[];
    worldMatrices: Float32Array;
    boneTexture: datatexture_1.default | null;
    /**
     * Override the texture at the given index.
     *
     * If a texture isn't given, removes the override if there was one.
     */
    setTexture(index: any, texture: any): void;
    /**
     * Override the texture of the particle emitter the given index.
     *
     * If a texture isn't given, removes the override if there was one.
     */
    setParticle2Texture(index: any, texture: any): void;
    /**
     * Override the texture of the event emitter the given index.
     *
     * If a texture isn't given, removes the override if there was one.
     */
    setEventTexture(index: any, texture: any): void;
    /**
     * Initialize a skeletal node.
     */
    initNode(nodes: any, node: any, genericObject: any, object: any): void;
    /**
     * Updates all of this instance internal nodes and objects.
     * Nodes that are determined to not be visible will not be updated, nor will any of their children down the hierarchy.
     */
    updateNodes(dt: any, forced: any): void;
    /**
     * Update the batch data.
     */
    updateBatches(forced: any): void;
    updateBoneTexture(): void;
    /**
     * Set the team color of this instance.
     */
    setTeamColor(id: any): MdxModelInstance;
    /**
     * Set the vertex color of this instance.
     */
    setVertexColor(color: any): MdxModelInstance;
    /**
     * Set the sequence of this instance.
     */
    setSequence(id: any): MdxModelInstance;
    /**
     * Set the sequence loop mode.
     * 0 to never loop, 1 to loop based on the model, and 2 to always loop.
     */
    setSequenceLoopMode(mode: any): MdxModelInstance;
    /**
     * Get an attachment node.
     */
    getAttachment(id: any): skeletalnode_1.SkeletalNode | undefined;
    resetEventEmitters(): void;
    resetAttachments(): void;
}
import modelinstance_1 = require("../../modelinstance");
import skeletalnode_1 = require("../../skeletalnode");
import datatexture_1 = require("../../gl/datatexture");
