export var __esModule: boolean;
/**
 * Animated data.
 */
export class Sd {
    constructor(model: any, animation: any);
    globalSequence: SdSequence | null;
    sequences: SdSequence[];
    model: any;
    name: any;
    defval: any;
    interpolationType: any;
    getValue(out: any, sequence: any, frame: any, counter: any): number;
    isVariant(sequence: any): boolean;
}
/**
 * A scalar animation.
 */
export class ScalarSd extends Sd {
    copy(out: any, value: any): void;
    interpolate(out: any, values: any, inTans: any, outTans: any, start: any, end: any, t: any): void;
}
/**
 * A vector animation.
 */
export class VectorSd extends Sd {
    copy(out: any, value: any): void;
    interpolate(out: any, values: any, inTans: any, outTans: any, start: any, end: any, t: any): void;
}
/**
 * A quaternion animation.
 */
export class QuatSd extends Sd {
    copy(out: any, value: any): void;
    interpolate(out: any, values: any, inTans: any, outTans: any, start: any, end: any, t: any): void;
}
export function createTypedSd(model: any, animation: any): QuatSd | VectorSd | ScalarSd;
/**
 * Animated data for a specific sequence.
 */
declare class SdSequence {
    constructor(sd: any, start: any, end: any, animation: any, isGlobal: any);
    frames: any[];
    values: any[];
    inTans: any[];
    outTans: any[];
    constant: boolean;
    sd: any;
    start: any;
    end: any;
    getValue(out: any, frame: any): number;
}
export {};
