export var __esModule: boolean;
export default War3MapViewerMap;
declare class War3MapViewerMap {
    constructor(viewer: any, buffer: any);
    buildVersion: number;
    solverParams: {
        tileset: string;
    };
    waterIndex: number;
    waterIncreasePerFrame: number;
    waterHeightOffset: number;
    waterTextures: any[];
    maxDeepColor: Float32Array;
    minDeepColor: Float32Array;
    maxShallowColor: Float32Array;
    minShallowColor: Float32Array;
    anyReady: boolean;
    terrainReady: boolean;
    cliffsReady: boolean;
    doodads: any[];
    terrainDoodads: any[];
    doodadsReady: boolean;
    units: any[];
    unitsReady: boolean;
    tilesetTextures: any[];
    cliffTextures: any[];
    cliffModels: any[];
    corners: any[];
    centerOffset: Float32Array;
    mapSize: Int32Array;
    tilesets: any[];
    blightTextureIndex: number;
    cliffTilesets: any[];
    columns: number;
    rows: number;
    vertexBuffer: any;
    faceBuffer: any;
    instanceBuffer: any;
    textureBuffer: any;
    variationBuffer: any;
    waterBuffer: any;
    heightMap: any;
    waterHeightMap: any;
    cliffHeightMap: any;
    viewer: any;
    worldScene: any;
    map: map_1.default;
    pathSolver: (src: any, params: any) => any;
    die(): void;
    load(src: any): any;
    loadMapInformation(): void;
    loadTerrainCliffsAndWater(): Promise<void>;
    loadDoodadsAndDestructibles(): void;
    loadUnitsAndItems(): void;
    /**
     * Update the map.
     */
    update(): void;
    /**
     * Render the map.
     */
    render(): void;
    renderGround(): void;
    renderWater(): void;
    renderCliffs(): void;
    cliffFileName(bottomLeftLayer: any, bottomRightLayer: any, topLeftLayer: any, topRightLayer: any, base: any): string;
    getVariation(groundTexture: any, variation: any): any;
    /**
     * Is the corner at the given column and row a cliff?
     */
    isCliff(column: any, row: any): boolean;
    /**
     * Is the tile at the given column and row water?
     */
    isWater(column: any, row: any): any;
    /**
     * Given a cliff index, get its ground texture index.
     * This is an index into the tilset textures.
     */
    cliffGroundIndex(whichCliff: any): number;
    /**
     * Get the ground texture of a corner, whether it's normal ground, a cliff, or a blighted corner.
     */
    cornerTexture(column: any, row: any): any;
    applyModificationFile(dataMap: any, metadataMap: any, modificationFile: any): void;
    applyModificationTable(dataMap: any, metadataMap: any, modificationTable: any): void;
    groundNormal(out: any, x: any, y: any): any;
}
import map_1 = require("../../../parsers/w3x/map");
