export var __esModule: boolean;
declare namespace _default {
    const ModelViewer: typeof viewer_1.default;
    const DebugRenderMode: typeof viewer_1.DebugRenderMode;
    const Scene: typeof scene_1.default;
    const Camera: typeof camera_1.default;
    const Node: typeof node_1.Node;
    const Model: typeof model_1.default;
    const ModelInstance: typeof modelinstance_1.default;
    const Texture: typeof texture_1.default;
    const GenericResource: typeof genericresource_1.default;
    const gl: {
        WebGL: typeof import("./gl/gl").default;
        Shader: typeof import("./gl/shader").default;
        ClientBuffer: typeof import("./gl/clientbuffer").default;
        DataTexture: typeof import("./gl/datatexture").default;
        ClientDataTexture: typeof import("./gl/clientdatatexture").default;
    };
    const handlers: {
        blp: {
            isValidSource(object: unknown): boolean;
            resource: typeof import("./handlers/blp/texture").default;
        };
        dds: {
            load(viewer: viewer_1.default): void;
            isValidSource(object: unknown): boolean;
            resource: typeof import("./handlers/dds/texture").default;
        };
        m3: {
            load(viewer: viewer_1.default): void;
            isValidSource(object: unknown): boolean;
            resource: typeof import("./handlers/m3/model").default;
        };
        mdx: {
            load(viewer: viewer_1.default, pathSolver?: import("./handlerresource").PathSolver | undefined, reforged?: boolean | undefined): void;
            isValidSource(object: unknown): boolean;
            resource: typeof import("./handlers/mdx/model").default;
            loadTeamTextures(viewer: viewer_1.default): void;
            getEventObjectSoundFile(file: string, reforged: boolean, isHd: boolean, tables: genericresource_1.default[]): string | undefined;
            getEventObjectData(viewer: viewer_1.default, type: string, id: string, isHd: boolean): Promise<{
                row: import("../utils/mappeddata").MappedDataRow;
                resources: import("./resource").Resource[];
            } | undefined>;
            getBatchShader(viewer: viewer_1.default, skinningType: import("./handlers/mdx/batch").SkinningType, isHd: boolean): import("./gl/shader").default;
        };
        tga: {
            isValidSource(object: unknown): boolean;
            resource: typeof import("./handlers/tga/texture").default;
        };
        War3MapViewer: typeof import("./handlers/w3x/viewer").default;
    };
}
export default _default;
import viewer_1 = require("./viewer");
import scene_1 = require("./scene");
import camera_1 = require("./camera");
import node_1 = require("./node");
import model_1 = require("./model");
import modelinstance_1 = require("./modelinstance");
import texture_1 = require("./texture");
import genericresource_1 = require("./genericresource");
