export var __esModule: boolean;
export default ModelInstance;
/**
 * A model instance.
 */
declare class ModelInstance extends node_1.Node {
    constructor(model: any);
    scene: any;
    left: number;
    right: number;
    bottom: number;
    top: number;
    plane: number;
    depth: number;
    updateFrame: number;
    /**
     * Allows to slow down or speed up animations of this instance, and any children.
     */
    timeScale: number;
    /**
     * If false, this instance won't be rendered.
     *
     * When working with Warcraft 3 instances, it is preferable to use hide() and show().
     * These hide and show also internal instances of this instance.
     */
    rendered: boolean;
    textureOverrides: Map<any, any>;
    model: any;
    /**
     * This instance should be shown.
     */
    show(): void;
    /**
     * This instance should be hidden.
     */
    hide(): void;
    /**
     * Should the instance be shown?
     */
    shown(): boolean;
    /**
     * Should the instance be hidden?
     */
    hidden(): boolean;
    /**
     * Detach this instance from the scene it's in.
     *
     * Equivalent to scene.removeInstance(instance).
     */
    detach(): any;
    overrideTexture(index: any, texture: any): void;
    /**
     * Called for instance culling.
     */
    getBounds(): any;
    /**
     * Clears any objects that were emitted by this instance.
     */
    clearEmittedObjects(): void;
    /**
     * Sets the scene of this instance.
     *
     * This is equivalent to scene.addInstance(instance).
     */
    setScene(scene: any): any;
    updateAnimations(dt: any): void;
    renderOpaque(): void;
    renderTranslucent(): void;
    isVisible(camera: any): boolean;
}
import node_1 = require("./node");
