export var __esModule: boolean;
/**
 * A node.
 */
export class Node {
    pivot: gl_matrix_1.vec3;
    localLocation: gl_matrix_1.vec3;
    localRotation: gl_matrix_1.quat;
    localScale: gl_matrix_1.vec3;
    worldLocation: gl_matrix_1.vec3;
    worldRotation: gl_matrix_1.quat;
    worldScale: gl_matrix_1.vec3;
    inverseWorldLocation: gl_matrix_1.vec3;
    inverseWorldRotation: gl_matrix_1.quat;
    inverseWorldScale: gl_matrix_1.vec3;
    localMatrix: gl_matrix_1.mat4;
    worldMatrix: gl_matrix_1.mat4;
    dontInheritTranslation: boolean;
    dontInheritRotation: boolean;
    dontInheritScaling: boolean;
    parent: any;
    children: any[];
    /**
     * Sets the node's pivot.
     */
    setPivot(pivot: any): Node;
    /**
     * Sets the node's local location.
     */
    setLocation(location: any): Node;
    /**
     * Sets the node's local rotation.
     */
    setRotation(rotation: any): Node;
    /**
     * Sets the node's local scale.
     */
    setScale(varying: any): Node;
    /**
     * Sets the node's local scale uniformly.
     */
    setUniformScale(uniform: any): Node;
    /**
     * Sets the node's local location, rotation, and scale.
     */
    setTransformation(location: any, rotation: any, scale: any): Node;
    /**
     * Resets the node's local location, pivot, rotation, and scale, to the default values.
     */
    resetTransformation(): Node;
    /**
     * Moves the node's pivot.
     */
    movePivot(offset: any): Node;
    /**
     * Moves the node's local location.
     */
    move(offset: any): Node;
    /**
     * Rotates the node's local rotation in world space.
     */
    rotate(rotation: any): Node;
    /**
     * Rotates the node's local rotation in local space.
     */
    rotateLocal(rotation: any): Node;
    /**
     * Scales the node.
     */
    scale(scale: any): Node;
    /**
     * Scales the node uniformly.
     */
    uniformScale(scale: any): Node;
    face(to: any, worldUp: any): Node;
    /**
     * Sets the node's parent.
     */
    setParent(parent: any): Node;
    /**
     * Recalculate this node's transformation data.
     */
    recalculateTransformation(): void;
    /**
     * Update this node, and continue down the node hierarchy.
     */
    update(dt: any): void;
}
import gl_matrix_1 = require("gl-matrix");
