export var __esModule: boolean;
/**
 * A skeletal node used for skeletons.
 *
 * Expected to be created with createSkeletalNodes() below.
 */
export class SkeletalNode {
    constructor(pivot: any, localLocation: any, localRotation: any, localScale: any, worldLocation: any, worldRotation: any, worldScale: any, inverseWorldLocation: any, inverseWorldRotation: any, inverseWorldScale: any, localMatrix: any, worldMatrix: any);
    dontInheritTranslation: boolean;
    dontInheritRotation: boolean;
    dontInheritScaling: boolean;
    billboarded: boolean;
    billboardedX: boolean;
    billboardedY: boolean;
    billboardedZ: boolean;
    dirty: boolean;
    wasDirty: boolean;
    parent: any;
    children: any[];
    /**
     * The object associated with this node, if there is any.
     */
    object: any;
    pivot: any;
    localLocation: any;
    localRotation: any;
    localScale: any;
    worldLocation: any;
    worldRotation: any;
    worldScale: any;
    inverseWorldLocation: any;
    inverseWorldRotation: any;
    inverseWorldScale: any;
    localMatrix: any;
    worldMatrix: any;
    /**
     * Recalculate this skeletal node.
     */
    recalculateTransformation(scene: any): void;
    /**
     * Allows inherited node classes to run extra transformations when billboarding.
     *
     * This is needed because the different model formats are in different vector spaces.
     */
    convertBasis(rotation: any): void;
}
/**
 * Creates an array of skeletal nodes with shared memory.
 *
 * The returned object contains the node array itself, the backing buffer, and all of the different shared arrays.
 */
export function createSkeletalNodes(count: any, Node?: typeof SkeletalNode): {
    data: Float32Array;
    nodes: SkeletalNode[];
    pivots: Float32Array;
    localLocations: Float32Array;
    localRotations: Float32Array;
    localScales: Float32Array;
    worldLocations: Float32Array;
    worldRotations: Float32Array;
    worldScales: Float32Array;
    inverseWorldLocations: Float32Array;
    invereseWorldRotations: Float32Array;
    inverseWorldScales: Float32Array;
    localMatrices: Float32Array;
    worldMatrices: Float32Array;
};
